/************************************************************************
Demo Code for Designing_Visual_Editors_in_Qt Article

Copyright (C) 2004-2007  Prashanth N Udupa, (prashanth @ vcreatelogic . com)
        VCreate Logic Private Limited, Bangalore

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License Version 2 for more details.

You should have received a copy of the GNU General Public License
Version 2 along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA  02111-1307  USA
************************************************************************/

#include "CWrapperFactory.h"

#include "CVtkConeSourceWrapper.h"
#include "CVtkPolyDataNormals.h"
#include "CVtkActor.h"
#include "CVtkPolyDataMapper.h"
#include "CVtkRenderer.h"
#include "CVtkRenderWindow.h"

DECLARE_WRAPPER(vtkConeSource, CVtkConeSourceWrapper)
DECLARE_WRAPPER(vtkPolyDataNormals, CVtkPolyDataNormals)
DECLARE_WRAPPER(vtkPolyDataMapper, CVtkPolyDataMapper)
DECLARE_WRAPPER(vtkActor, CVtkActor)
DECLARE_WRAPPER(vtkRenderer, CVtkRenderer)
DECLARE_WRAPPER(vtkRenderWindow, CVtkRenderWindow)

FACTORY_TABLE_BEGIN
    FACTORY_TABLE_ENTRY(vtkConeSource)
    FACTORY_TABLE_ENTRY(vtkPolyDataNormals)
    FACTORY_TABLE_ENTRY(vtkPolyDataMapper)
    FACTORY_TABLE_ENTRY(vtkActor)
    FACTORY_TABLE_ENTRY(vtkRenderer)
    FACTORY_TABLE_ENTRY(vtkRenderWindow)
FACTORY_TABLE_END

