/************************************************************************
Demo Code for Designing_Visual_Editors_in_Qt Article

Copyright (C) 2004-2007  Prashanth N Udupa, (prashanth @ vcreatelogic . com)
        VCreate Logic Private Limited, Bangalore

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
version 2 as published by the Free Software Foundation

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License Version 2 for more details.

You should have received a copy of the GNU General Public License
Version 2 along with this program; if not, write to the Free
Software Foundation, Inc., 59 Temple Place, Suite 330, Boston,
MA  02111-1307  USA
************************************************************************/

#ifndef C_PROPERTY_EDITOR_H
#define C_PROPERTY_EDITOR_H

#include <QTreeWidget>

struct CPropertyEditorData;
class CPropertyEditor : public QTreeWidget
{
    Q_OBJECT

public:
    CPropertyEditor(QWidget* parent);
    ~CPropertyEditor();

    QObject* object() const;

public slots:
    void setObject(QObject* object);

private slots:
    void on_itemChanged(QTreeWidgetItem* item, int column);
    void on_object_destroyed();

protected:
    void drawBranches(QPainter* , const QRect &, const QModelIndex &) const { }

protected:
    CPropertyEditorData* d;
};

#endif
