TEMPLATE = app
INCLUDEPATH += /usr/include/vtk VtkQt Wrappers
LIBS += -L/usr/lib -lvtkRendering
MOC_DIR = .moc
OBJECTS_DIR = .obj
UI_DIR = .ui

# Input
HEADERS += CMainWindow.h \
           CPropertyEditor.h \
           CWrapperCanvasView.h \
           CWrapperClassLayer.h \
           CWrapperClassSelectionList.h \
           CWrapperFactory.h \
           VtkQt/CVtkQtRenderWindow.h \
           VtkQt/CVtkQtRenderWindowInteractor.h \
           Wrappers/CVtkActor.h \
           Wrappers/CVtkConeSourceWrapper.h \
           Wrappers/CVtkPolyDataMapper.h \
           Wrappers/CVtkPolyDataNormals.h \
           Wrappers/CVtkRenderer.h \
           Wrappers/CVtkRenderWindow.h
FORMS += CMainWindow.ui
SOURCES += CMainWindow.cpp \
           CPropertyEditor.cpp \
           CWrapperCanvasView.cpp \
           CWrapperClassLayer.cpp \
           CWrapperClassSelectionList.cpp \
           CWrapperFactory.cpp \
           CWrapperFactoryTable.cpp \
           Main.cpp \
           VtkQt/CVtkQtRenderWindow.cpp \
           VtkQt/CVtkQtRenderWindowInteractor.cpp \
           Wrappers/CVtkActor.cpp \
           Wrappers/CVtkConeSourceWrapper.cpp \
           Wrappers/CVtkPolyDataMapper.cpp \
           Wrappers/CVtkPolyDataNormals.cpp \
           Wrappers/CVtkRenderer.cpp \
           Wrappers/CVtkRenderWindow.cpp

QT += opengl
